Subject: bug#2868: closed (Re: bug#4194: 23.0.91; Cursor face not changing)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Nov 2011 00:19:03 +0000

Your bug report

#4194: 23.0.91; Cursor face not changing

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4194: 23.0.91; Cursor face not changing
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 16 Nov 2011 19:17:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

Nikolaj Schumacher wrote:

> Setting the background color seems to work now. The foreground color,
> inverse-video, and others don't stick.

In Emacs 24, the doc for the cursor face will say:

  Currently, only the `:background' attribute is meaningful; all
  other attributes are ignored.

With regards to the region face:

> This bug is easily fixed by changing the following line in ns-win.el:
>
> (set-face-background 'region "ns_selection_color")

This line was removed from ns-win some time ago, so I imagine this is
fixed too.

Please open a new report if there are still issues in the latest version.

Subject: 23.0.91; Cursor face not changing
From: Alberto Simões <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2009 21:20:17 +0100

Hello.

Although I am able to configure the cursor face using the usual
custumization
tool, the real colors/face doesn't change.

While the customization tool added to my .emacs the line:
   '(cursor ((t (:background "wheat" :foreground "black"))))
under the faces configuration command, when emacs starts I get back the
original
cursor colors (that are just annoying because I can't see the character
behind the
cursor).

Oh, This emacs is compiled by me, from cvs (about 15 days ago), under
MacOS/NS.

----------

In GNU Emacs 23.0.91.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-03-28 on rachmaninoff.lan
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: pt_PT.utf-8
  value of $LC_CTYPE: pt_PT.utf-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: LaTeX

Minor modes in effect:
  highlight-changes-visible-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
<ns-open-file-line> <help-echo> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> C-e <left> <left> <left> <left> <left>
<left> <left> <left> <S-right> <S-right> <S-right>
<S-right> <S-right> <S-right> <S-right> <S-right> <S-right>
<S-right> <S-left> <S-left> <S-left> <S-left> <S-left>
<S-left> <S-left> <S-left> <S-left> <S-left> <S-right>
<S-right> <S-right> <S-right> <S-right> <down> M-x
c u s t o <tab> - <backspace> - g r <tab> <return>
f a c e s <tab> <return> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <up> <up> <up> <return> <next> <next>
<next> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <next> <prior> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <right> <right> <right> <right> <right>
<right> <right> <right> <right> <right> <right> <right>
<right> <right> <right> <right> <right> <right> <right>
<right> <right> <right> <right> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <help-echo> <down> <down> <up>
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <down-mouse-1> <mouse-1> <help-echo>
<help-echo> <down-mouse-1> <help-echo> <help-echo>
<down-mouse-1> <up> <up> <up> <up> <down> <down> <down>
<down> <up> <left> <left> <left> <left> <right> <right>
<right> <right> <right> <right> <right> <help-echo>
<down-mouse-1> <mouse-1> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <down-mouse-1> <mouse-1> <help-echo>
<help-echo> <down-mouse-1> <help-echo> <down-mouse-1>
C-x k <return> <help-echo> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-up> <down> <down> <down> <down> <down>
<down> <down> <down> C-x C-s M-x r e p o <tab> r <tab>
<return>

Recent messages:
Mark set
Invalid image size (see `max-image-size') [380 times]
Saving file /Users/ambs/.emacs...
Wrote /Users/ambs/.emacs
Invalid image size (see `max-image-size') [30 times]
byte-code: End of buffer [2 times]
byte-code: Beginning of buffer
byte-code: End of buffer
(No changes need to be saved)
Making completion list...

-- 
Alberto Simões - Departamento de Informática - Universidade do Minho
                 Campus de Gualtar - 4710-057 Braga - Portugal